Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.proxy
Class ProxyFactory

    java.lang.Object
      org.jboss.aop.proxy.ProxyFactory

public class ProxyFactory
extends Object

Comment

Version:
  $Revision: 1.7 $
Author:
  Bill Burke

Constructor Summary
`ProxyFactory()`

Method Summary
`static Proxy` | `createInterfaceProxy(ClassLoader loader, Class[] interfaces, ProxyMixin[] mixins, InstanceAdvisor advisor)`
`static Proxy` | `createInterfaceProxy(org.jboss.util.id.GUID guid, ClassLoader loader, Class[] interfaces)`
`static Proxy` | `createInterfaceProxy(org.jboss.util.id.GUID guid, ClassLoader loader, Class[] interfaces, ProxyMixin[] mixins, InstanceAdvisor advisor)`
`static org.jboss.util.id.GUID` | `generateProxyClass(ClassLoader loader, ProxyMixin[] mixins, Class[] interfaces)`
`static Class` | `getProxyClass(org.jboss.util.id.GUID guid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyFactory

    public ProxyFactory()

Method Detail

### createInterfaceProxy

    public static Proxy createInterfaceProxy(ClassLoader loader,
                                             Class[] interfaces,
                                             ProxyMixin[] mixins,
                                             InstanceAdvisor advisor)
                                      throws Exception

  Throws:
    `Exception`

### getProxyClass

    public static Class getProxyClass(org.jboss.util.id.GUID guid)

### createInterfaceProxy

    public static Proxy createInterfaceProxy(org.jboss.util.id.GUID guid,
                                             ClassLoader loader,
                                             Class[] interfaces)
                                      throws Exception

  Throws:
    `Exception`

### createInterfaceProxy

    public static Proxy createInterfaceProxy(org.jboss.util.id.GUID guid,
                                             ClassLoader loader,
                                             Class[] interfaces,
                                             ProxyMixin[] mixins,
                                             InstanceAdvisor advisor)
                                      throws Exception

  Throws:
    `Exception`

### generateProxyClass

    public static org.jboss.util.id.GUID generateProxyClass(ClassLoader loader,
                                                            ProxyMixin[] mixins,
                                                            Class[] interfaces)
                                                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.